=== generated/src/aws-cpp-sdk-dynamodb/CMakeLists.txt ===
add_project(aws-cpp-sdk-dynamodb "C++ SDK for the AWS dynamodb service" aws-cpp-sdk-core)

file(GLOB AWS_DYNAMODB_HEADERS
    "include/aws/dynamodb/*.h"
)

file(GLOB AWS_DYNAMODB_MODEL_HEADERS
    "include/aws/dynamodb/model/*.h"
)

file(GLOB AWS_DYNAMODB_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_DYNAMODB_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB DYNAMODB_UNIFIED_HEADERS
    ${AWS_DYNAMODB_HEADERS}
    ${AWS_DYNAMODB_MODEL_HEADERS}
)

file(GLOB DYNAMODB_UNITY_SRC
    ${AWS_DYNAMODB_SOURCE}
    ${AWS_DYNAMODB_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("DYNAMODB" DYNAMODB_UNITY_SRC)
endif()

file(GLOB DYNAMODB_SRC
    ${DYNAMODB_UNIFIED_HEADERS}
    ${DYNAMODB_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\dynamodb" FILES ${AWS_DYNAMODB_HEADERS})
        source_group("Header Files\\aws\\dynamodb\\model" FILES ${AWS_DYNAMODB_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_DYNAMODB_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_DYNAMODB_MODEL_SOURCE})
    endif(MSVC)
endif()

set(DYNAMODB_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${DYNAMODB_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_DYNAMODB_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_DYNAMODB_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/dynamodb)
install (FILES ${AWS_DYNAMODB_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/dynamodb/model)

do_packaging()
